<?php

if (!defined('_PS_VERSION_'))
    exit;
class AdminMenu extends Module {
        public function __construct() {
                $this->name = 'adminmenu';
                $this->tab = 'front_office_features';
                $this->version = '1.0';
                $this->author = 'Presta-Support';
                $this->AdminTab = 'AdminMenu';

                parent::__construct();
		if(floatval(substr(_PS_VERSION_,0,3))  >= 1.5)
			$this->index = AdminController::$currentIndex;
		else  {
			global $currentIndex;
			$this->index = $currentIndex; 
		}

                $this->displayName = $this->l('Admin Menu');
                $this->description = $this->l('Create Admin menu for module configure link');

        }
	public function uninstall() {
		$id_tab = Configuration::get('ADMIN_MENU_TABID');
                if ($id_tab) {
                      $tab = new Tab($id_tab);
                      $tab->delete();
                }
	
                if (!parent::uninstall() OR !Configuration::deleteByName('ADMIN_MENU_TABID')
                )
                        return false;
                return true;
        }
	public function getContent()
        {
                $output = '<h2>'.$this->displayName.'</h2>';
                if (Tools::isSubmit('submitAdminMenu'))
                {
			$id_lang_default = (int)Configuration::get('PS_LANG_DEFAULT');
			$languages = Language::getLanguages(false);
                        $id_parent = (int)Tools::getValue('id_parent');
                        $module = Tools::getValue('module');
			if($id_parent > 0 AND !empty($_POST['name_'.$id_lang_default]) AND !empty($module)){
				if($id_tab = Configuration::get('ADMIN_MENU_TABID')){
					$tab = new Tab($id_tab);
                                        $tab->id_parent = $id_parent;
                                        $tab->module = $this->name;
                                        $tab->class_name = $this->AdminTab ;
                                        foreach ($languages as $language)
                                                $tab->name[$language['id_lang']] = ($_POST['name_'.$language['id_lang']] == '' ? $_POST['name_'.$id_lang_default] : $_POST['name_'.$language['id_lang']]);
                                        $tab->update();
				}else{
					$tab = new Tab();
                                        $tab->class_name = $this->AdminTab ;
                                        $tab->id_parent = $id_parent;
                                        $tab->module = $this->name;
                                        foreach ($languages as $language)
                                                $tab->name[$language['id_lang']] = ($_POST['name_'.$language['id_lang']] == '' ? $_POST['name_'.$id_lang_default] : $_POST['name_'.$language['id_lang']]);
                                        $tab->add();
                        		Configuration::updateValue('ADMIN_MENU_TABID', (int)($tab->id));
				}
                        	Configuration::updateValue('ADMIN_MENU_MODULE', $module);
			}
                        else
                                $errors[] = $this->l('Enter Name and select Parent Menu.');
                        if (isset($errors) AND sizeof($errors))
                                $output .= $this->displayError(implode('<br />', $errors));
                        else
                                $output .= $this->displayConfirmation($this->l('Your settings have been updated.'));
                }
                return $output.$this->displayForm();
        }
	public function displayForm()
        {
		$tabs = Tab::getTabs($this->context->language->id, 0);
		$modules = Module::getModulesInstalled();
		$id_lang_default = (int)Configuration::get('PS_LANG_DEFAULT');
		if($id_tab = Configuration::get('ADMIN_MENU_TABID')){
			$tabObj = new Tab($id_tab);
		}
		$languages = Language::getLanguages(false);
		$divLangName = 'name';
                $output .= '<script type="text/javascript">id_language = Number('.$id_lang_default.');</script>';
                $output .= '
                <form action="'.Tools::safeOutput($_SERVER['REQUEST_URI']).'" method="post">
                        <fieldset><legend><img src="'.$this->_path.'logo.gif" alt="" title="" />'.$this->l('Settings').'</legend>
                                <p>'.$this->l('Create Admin Menu for Module configure link.').'</p><br />
		';
				/* Name  */
                	$output .= '<br /><label>'.$this->l('Menu Name:').' * </label><div class="margin-form">';
                		foreach ($languages as $language)
                		{
                        		$output .= '
                                        <div id="name_'.$language['id_lang'].'" style="display: '.($language['id_lang'] == $id_lang_default ? 'block' : 'none').';float: left;">
                                                <input type="text" name="name_'.$language['id_lang'].'" id="name_'.$language['id_lang'].'" size="30" value="'.(isset($tabObj->name[$language['id_lang']]) ? $tabObj->name[$language['id_lang']] : '').'"/>
                                        </div>';
                		}	
                	$output .= $this->displayFlags($languages, $id_lang_default, $divLangName, 'name', true);
                	$output .= '</div><br />';

			$output .= '
                                <label>'.$this->l('Parent Menu').'</label>
                                <div class="margin-form">
					<select name="id_parent">
			';
                		foreach ($tabs as $tab)
                		{
					$output .= '<option value="'.$tab['id_tab'].'" '. (($tabObj->id_parent == $tab['id_tab']) ? 'selected="selected"' : '').'>'.$tab['name'].'</option>';
				}
			$output .= '
					</select>
                                </div>
			';
			$output .= '
                                <label>'.$this->l('Name of Module').'</label>
                                <div class="margin-form">
					<select name="module">
			';
                		foreach ($modules as $module)
					if ($tmp_instance = Module::getInstanceById((int)$module['id_module'])){
						$output .= '<option value="'.$module['name'].'" '. (Configuration::get('ADMIN_MENU_MODULE') == $module['name']? 'selected="selected"' : '').'>'.$module['name'].'</option>';
					}
			$output .= '
					</select>
                                </div>
                                <center><input type="submit" name="submitAdminMenu" value="'.$this->l('Save').'" class="button" /></center>
                        </fieldset>
                </form>';
                return $output;
        }
}
